<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.micer.easyball.mapper.ClubPlayerMapper">


    <select id="selectAllClubByUserId" resultType="com.micer.easyball.pojo.Club">
        SELECT DISTINCT `c`.*
        FROM
            `club_player` `cp`
                LEFT JOIN
            `club` `c`
            ON
                `cp`.`club_id` = `c`.id
        WHERE
            `cp`.`player_id` = #{userId};
    </select>
</mapper>